New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We鈥檒l occasionally send you account related emails.

Already on GitHub? Sign in to your account

Migrate to voxpupuli #183

Closed
fpletz opened this Issue May 3, 2016 · 35 comments

Comments

Projects
None yet
@fpletz
Contributor

fpletz commented May 3, 2016

The original maintainers of puppet-php are not developing it actively anymore because they have moved on from Puppet. 馃惣

Here is your proposed plan of action:

  • Find new maintainers and give them push rights to the repository and later also the Puppet Forge
  • If we find passionate and active maintainers we will transfer the ownership of puppet-php to them officially

Please comment on this issue if you want to help out. You should at the very least be an active user and ideally have already contributed to the project.

Thanks! 鉂わ笍

@fpletz fpletz added the needs-help label May 3, 2016

@fpletz fpletz referenced this issue May 3, 2016

Open

PHP7 Support #146

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll May 3, 2016

Contributor

I'd like to nominate @igalic for push access as a first measure.

Contributor

mmoll commented May 3, 2016

I'd like to nominate @igalic for push access as a first measure.

@igalic

This comment has been minimized.

Show comment
Hide comment
@igalic

igalic May 7, 2016

Member

oh dear鈥 i mean鈥 i am honoured and would like to thank you.
seeing as this module is _puppet approved_ 鈥 would you consider moving it to @voxpupuli?
if so, i can make invite either of you to @voxpupuli/module-admin

Member

igalic commented May 7, 2016

oh dear鈥 i mean鈥 i am honoured and would like to thank you.
seeing as this module is _puppet approved_ 鈥 would you consider moving it to @voxpupuli?
if so, i can make invite either of you to @voxpupuli/module-admin

@jkroepke

This comment has been minimized.

Show comment
Hide comment
@jkroepke

jkroepke Jun 18, 2016

Contributor

It still a problem here?
Looks like the project is still active.

Contributor

jkroepke commented Jun 18, 2016

It still a problem here?
Looks like the project is still active.

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Jun 19, 2016

Contributor

It still a problem here?

@jkroepke Yes, it is.

Looks like the project is still active.

I try to be a good Janitor. However, I use this module myself only in a very limited scope in an "unusual" setup and don't have too much time to really test it and its PRs as I would normally do. Also, the lacking spec test coverage is making big refactorings hard. My main goal for now would be to get PHP 5.6/7.0 version selection to a really woking state for all supported OSes and then release a 4.0.0.

Contributor

mmoll commented Jun 19, 2016

It still a problem here?

@jkroepke Yes, it is.

Looks like the project is still active.

I try to be a good Janitor. However, I use this module myself only in a very limited scope in an "unusual" setup and don't have too much time to really test it and its PRs as I would normally do. Also, the lacking spec test coverage is making big refactorings hard. My main goal for now would be to get PHP 5.6/7.0 version selection to a really woking state for all supported OSes and then release a 4.0.0.

@jkroepke

This comment has been minimized.

Show comment
Hide comment
@jkroepke

jkroepke Jun 19, 2016

Contributor

My main goal for now would be to get PHP 5.6/7.0

You should be open a epic ticket like owncloud/core#21237. User like me can grab small tasks from it and send and pr to you.

Contributor

jkroepke commented Jun 19, 2016

My main goal for now would be to get PHP 5.6/7.0

You should be open a epic ticket like owncloud/core#21237. User like me can grab small tasks from it and send and pr to you.

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Jun 19, 2016

Contributor

You should be open a epic ticket

We do have a 4.0.0 milestone - and, yes, I (or anybody else) could open new issues for that to break it down a little bit and I might do that, as soon as time permits. However, this does not solve the real problem of getting more people involved with the environments and skillsets needed.

Contributor

mmoll commented Jun 19, 2016

You should be open a epic ticket

We do have a 4.0.0 milestone - and, yes, I (or anybody else) could open new issues for that to break it down a little bit and I might do that, as soon as time permits. However, this does not solve the real problem of getting more people involved with the environments and skillsets needed.

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Jul 3, 2016

Contributor

@jkroepke BTW, we do have a lot of new issues for tracking now ;)

Contributor

mmoll commented Jul 3, 2016

@jkroepke BTW, we do have a lot of new issues for tracking now ;)

@rendhalver

This comment has been minimized.

Show comment
Hide comment
@rendhalver

rendhalver Jul 5, 2016

It looks like you guys are pretty swamped with the backlog of issues.
I would also recommend moving the module under the @voxpulli namespace too even more so considering it's Puppet Approved.

rendhalver commented Jul 5, 2016

It looks like you guys are pretty swamped with the backlog of issues.
I would also recommend moving the module under the @voxpulli namespace too even more so considering it's Puppet Approved.

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Jul 6, 2016

Contributor

@rendhalver I opened a lot of issues, to somehow organize the situation. From what I get the state of things improved over the last few weeks and is pretty good on Debian/Ubuntu and SLES now. Other platforms lack testing and implementation of the 5.x/7.0 version switch (which might not be applicable for some, I know it would be doable for FreeBSD). Other module vendors (including Puppet Labs breaking FreeBSD in my experience!) would just release a 4.0 as-is and wait for issues/PRs come in. I also do see that as a viable option, if no further movement happens in the next few weeks.

Regarding voxpupuli, personally I don't think that would be the right place for a PHP module, but would see moving it to there as a very last resort to keep things up. However, at the same time I can't imagine more contributors will get attracted there, so the real problem of finding people that are willing to pour in time to develop this module further would also not get solved.

Contributor

mmoll commented Jul 6, 2016

@rendhalver I opened a lot of issues, to somehow organize the situation. From what I get the state of things improved over the last few weeks and is pretty good on Debian/Ubuntu and SLES now. Other platforms lack testing and implementation of the 5.x/7.0 version switch (which might not be applicable for some, I know it would be doable for FreeBSD). Other module vendors (including Puppet Labs breaking FreeBSD in my experience!) would just release a 4.0 as-is and wait for issues/PRs come in. I also do see that as a viable option, if no further movement happens in the next few weeks.

Regarding voxpupuli, personally I don't think that would be the right place for a PHP module, but would see moving it to there as a very last resort to keep things up. However, at the same time I can't imagine more contributors will get attracted there, so the real problem of finding people that are willing to pour in time to develop this module further would also not get solved.

@rendhalver

This comment has been minimized.

Show comment
Hide comment
@rendhalver

rendhalver Jul 6, 2016

Ah that explains it.
I am testing this out for a new website deployment and the current release on puppet forge doesn't looks like it will do what I need it to.
I have noticed a lot of useful changes since the last release that will help with this project. Nice work.
You could push out a 4.0.0-rc1 release in preparation for the 4.0.0 release so it could get some extra testing.
If that will happen before the end of the week I am happy to track master to get that tested in my environment and let you know if I find any bugs.

rendhalver commented Jul 6, 2016

Ah that explains it.
I am testing this out for a new website deployment and the current release on puppet forge doesn't looks like it will do what I need it to.
I have noticed a lot of useful changes since the last release that will help with this project. Nice work.
You could push out a 4.0.0-rc1 release in preparation for the 4.0.0 release so it could get some extra testing.
If that will happen before the end of the week I am happy to track master to get that tested in my environment and let you know if I find any bugs.

@rendhalver

This comment has been minimized.

Show comment
Hide comment
@rendhalver

rendhalver Jul 7, 2016

Just letting you know I am using the master branch for this in my project.
I haven;t run into any issues yet.

rendhalver commented Jul 7, 2016

Just letting you know I am using the master branch for this in my project.
I haven;t run into any issues yet.

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Jul 7, 2016

Contributor

Good to hear, thanks! I guess unlike on rubygems it won't be possible on the forge to mark a release as RC/beta so it doesn't get used by default?

Contributor

mmoll commented Jul 7, 2016

Good to hear, thanks! I guess unlike on rubygems it won't be possible on the forge to mark a release as RC/beta so it doesn't get used by default?

@rendhalver

This comment has been minimized.

Show comment
Hide comment
@rendhalver

rendhalver Jul 8, 2016

I think the puppet module tool is setup to prefer stable over rc and beta versions.
This ancient bug would suggest it does: https://projects.puppetlabs.com/issues/17824

I use puppet-blacksmith and travis-ci do a puppet-forge release when I add tag.
If you want a hand setting it up let me know.

rendhalver commented Jul 8, 2016

I think the puppet module tool is setup to prefer stable over rc and beta versions.
This ancient bug would suggest it does: https://projects.puppetlabs.com/issues/17824

I use puppet-blacksmith and travis-ci do a puppet-forge release when I add tag.
If you want a hand setting it up let me know.

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Jul 8, 2016

Contributor

This looks good, I'll try to get out a 4.0.0-beta1 out of the door next week. I'm already using blacksmith over at @theforeman for its modules and quite 馃挌 it.

Contributor

mmoll commented Jul 8, 2016

This looks good, I'll try to get out a 4.0.0-beta1 out of the door next week. I'm already using blacksmith over at @theforeman for its modules and quite 馃挌 it.

@rendhalver

This comment has been minimized.

Show comment
Hide comment
@rendhalver

rendhalver Jul 11, 2016

Lovely!
Drop a note here when you get that release out and I will start tracking it.

rendhalver commented Jul 11, 2016

Lovely!
Drop a note here when you get that release out and I will start tracking it.

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Jul 12, 2016

Contributor

done :bowtie:

Contributor

mmoll commented Jul 12, 2016

done :bowtie:

@rendhalver

This comment has been minimized.

Show comment
Hide comment
@rendhalver

rendhalver Jul 12, 2016

Awesome. I will switch to that tomorrow.

rendhalver commented Jul 12, 2016

Awesome. I will switch to that tomorrow.

@davividal

This comment has been minimized.

Show comment
Hide comment
@davividal

davividal Jul 29, 2016

I would happily help with whatever I can.

davividal commented Jul 29, 2016

I would happily help with whatever I can.

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Jul 29, 2016

Contributor

@davividal If you can tackle any of the open issues, opening PRs would be much appreciated. Also reviewing incoming PRs of other people and even opening new issues to pinpoint problems we need to solve for a 4.0.0 release are bringing value.

Contributor

mmoll commented Jul 29, 2016

@davividal If you can tackle any of the open issues, opening PRs would be much appreciated. Also reviewing incoming PRs of other people and even opening new issues to pinpoint problems we need to solve for a 4.0.0 release are bringing value.

@igalic

This comment has been minimized.

Show comment
Hide comment
@igalic

igalic Aug 5, 2016

Member

@mmoll 鈥 it seems that this issue has been hijacked to discuss 鈥 something else :D
perhaps it's time to close it?
it seems to me that @mayflower is doing just a fine job of maintaining the module (again?)

Member

igalic commented Aug 5, 2016

@mmoll 鈥 it seems that this issue has been hijacked to discuss 鈥 something else :D
perhaps it's time to close it?
it seems to me that @mayflower is doing just a fine job of maintaining the module (again?)

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Aug 5, 2016

Contributor

tbh, I'm still looking for help and there are still plenty of open issues to be solved for 4.0.0

Contributor

mmoll commented Aug 5, 2016

tbh, I'm still looking for help and there are still plenty of open issues to be solved for 4.0.0

@khdevel

This comment has been minimized.

Show comment
Hide comment
@khdevel

khdevel Sep 2, 2016

Hello,

What is the current status of the "new puppet-php maintainers"? Is the code in a "freeze state" or under development?

Thank you!

khdevel commented Sep 2, 2016

Hello,

What is the current status of the "new puppet-php maintainers"? Is the code in a "freeze state" or under development?

Thank you!

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Sep 2, 2016

Contributor

@khdevel I can only point to my statement above

Contributor

mmoll commented Sep 2, 2016

@khdevel I can only point to my statement above

@igalic

This comment has been minimized.

Show comment
Hide comment
@igalic

igalic Sep 3, 2016

Member

@mmoll o/~ hi

Member

igalic commented Sep 3, 2016

@mmoll o/~ hi

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Sep 9, 2016

Contributor

@igalic So, we'd like to give this to @voxpupuli as there were no new potential maintainers coming up here. I don't have the full control of this repo here, but other people in @mayflower have, what would be the process to transfer this repo?

Contributor

mmoll commented Sep 9, 2016

@igalic So, we'd like to give this to @voxpupuli as there were no new potential maintainers coming up here. I don't have the full control of this repo here, but other people in @mayflower have, what would be the process to transfer this repo?

@daenney

This comment has been minimized.

Show comment
Hide comment
@daenney
Member

daenney commented Sep 10, 2016

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Sep 11, 2016

Contributor

@fadenb @fpletz (or anybody else), could you please coordinate?

Contributor

mmoll commented Sep 11, 2016

@fadenb @fpletz (or anybody else), could you please coordinate?

@fadenb

This comment has been minimized.

Show comment
Hide comment
@fadenb

fadenb Sep 11, 2016

Member
  • Ask one of the Administrators to add you to the modules/admin team.
  • At that point you can transfer your own repository
  • If migrating a module from puppetlabs, re-enable github issues.
  • Verify that all webhooks except travis are disabled.
  • Update the README.md with a description of the deprecation and a link to the new module location.
  • Release a 999.999.999 version of the original module to the forge, so users and tools knows to stop using it.
  • Release a copy of your module to the 鈥榩uppet鈥 forge account.
  • Add the module to our modulesync setup
  • Add the module to our plumbing repository(handles travis secrets)
  • Ask one of the Admins to add the module to the collaborators Team on github.

First steps are done. Will try to complete the rest tomorrow.

Member

fadenb commented Sep 11, 2016

  • Ask one of the Administrators to add you to the modules/admin team.
  • At that point you can transfer your own repository
  • If migrating a module from puppetlabs, re-enable github issues.
  • Verify that all webhooks except travis are disabled.
  • Update the README.md with a description of the deprecation and a link to the new module location.
  • Release a 999.999.999 version of the original module to the forge, so users and tools knows to stop using it.
  • Release a copy of your module to the 鈥榩uppet鈥 forge account.
  • Add the module to our modulesync setup
  • Add the module to our plumbing repository(handles travis secrets)
  • Ask one of the Admins to add the module to the collaborators Team on github.

First steps are done. Will try to complete the rest tomorrow.

@robinbowes

This comment has been minimized.

Show comment
Hide comment
@robinbowes

robinbowes Oct 4, 2016

Did this get migrated yet? I'm currently stuck on:

Error: Could not install 'mayflower-php' (v999.999.999)
  No releases matching '999.999.999' are available from https://forgeapi.puppetlabs.com

robinbowes commented Oct 4, 2016

Did this get migrated yet? I'm currently stuck on:

Error: Could not install 'mayflower-php' (v999.999.999)
  No releases matching '999.999.999' are available from https://forgeapi.puppetlabs.com
@jk2l

This comment has been minimized.

Show comment
Hide comment
@jk2l

jk2l Oct 4, 2016

Contributor

no don't think so. it seem they are still fixing the test case. if you don't need newest OS support. You can consider use old version like 3.4.2

or you can just directly use voxpupuli/puppet-php with git

Contributor

jk2l commented Oct 4, 2016

no don't think so. it seem they are still fixing the test case. if you don't need newest OS support. You can consider use old version like 3.4.2

or you can just directly use voxpupuli/puppet-php with git

@robinbowes

This comment has been minimized.

Show comment
Hide comment
@robinbowes

robinbowes Oct 4, 2016

Cheers - I'll pin to 3.4.2 for now

robinbowes commented Oct 4, 2016

Cheers - I'll pin to 3.4.2 for now

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Nov 20, 2016

Contributor

close this please.

Contributor

mmoll commented Nov 20, 2016

close this please.

@rnelson0 rnelson0 closed this Nov 20, 2016

@rnelson0 rnelson0 reopened this Nov 20, 2016

@rnelson0

This comment has been minimized.

Show comment
Hide comment
@rnelson0

rnelson0 Nov 20, 2016

Member

It looks like this isn't published to the forge in the puppet namespace yet and should remain open until that is complete.

Member

rnelson0 commented Nov 20, 2016

It looks like this isn't published to the forge in the puppet namespace yet and should remain open until that is complete.

@mmoll

This comment has been minimized.

Show comment
Hide comment
@mmoll

mmoll Nov 20, 2016

Contributor

oh, ok

Contributor

mmoll commented Nov 20, 2016

oh, ok

@juniorsysadmin juniorsysadmin changed the title from Find new maintainers to Migrate to voxpupuli Dec 25, 2016

@daenney

This comment has been minimized.

Show comment
Hide comment
@daenney

daenney Jun 3, 2017

Member

@rnelson0 It is published now. Could we close this and poke someone from Puppet Labs to tag puppet/php as the approved module instead of this version?

Member

daenney commented Jun 3, 2017

@rnelson0 It is published now. Could we close this and poke someone from Puppet Labs to tag puppet/php as the approved module instead of this version?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment